#
# spec file for package mythweb-0_27
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011,2012 Herbert Graeber
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global _htmldir /srv/www/htdocs
Name:           mythweb-0_28
Version:        0.28.2+git.20180201.af896aee
Release:        pm154.1.1
Summary:        The web interface to MythTV
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Url:            http://mythtv.org/
Source0:        mythweb-fixes-%{version}.tar.gz
Source120:      mythweb.conf
BuildRequires:  fdupes
Requires:       mod_php_any
Requires:       php
Requires:       php-mysql
Conflicts:      mythweb-0_27
BuildRoot:      %{_tmppath}/mythweb-%{version}-build
BuildArch:      noarch

%description
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

The web interface to MythTV.

%prep
%setup -q -n mythweb-fixes-%{version}

%build
chmod -R g-w ./*
find . -name '*.php' -exec chmod -x "{}" \;

%install
install -d %{buildroot}%{_htmldir}/mythweb
cp -a * %{buildroot}%{_htmldir}/mythweb/
install -d %{buildroot}%{_htmldir}/mythweb/{image_cache,php_sessions}
install -D %{SOURCE120} -m 644 %{buildroot}%{_sysconfdir}/apache2/conf.d/mythweb.conf
chmod a+x %{buildroot}%{_htmldir}/mythweb/modules/coverart/handler.pl
rm -f %{buildroot}%{_htmldir}/mythweb/data/.htaccess

%fdupes %{buildroot}%{_htmldir}/mythweb

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%dir %{_sysconfdir}/apache2
%dir %{_sysconfdir}/apache2/conf.d
%config(noreplace) %{_sysconfdir}/apache2/conf.d/mythweb.conf
%defattr(-,wwwrun,www,0775)
%dir %{_htmldir}/mythweb
%{_htmldir}/mythweb/*
%exclude %{_htmldir}/mythweb/README

%changelog
* Mon Jul 23 2018 os-dev@jacraig.com
- Fix wrong directory used in mythweb.conf.
* Thu Jun 28 2018 avvissu@yandex.by
- Update to version 0.28.2+git.20180201.af896aee:
  * Fixes #13191 - Make mythweb use of CDN optional.
- Add LICENSE file
- Rename htmldir > _htmldir
* Thu Aug  3 2017 avvissu@yandex.by
- Update to version 0.28.1+git.20170719.ed8d6a1c:
  * Fixes #12981 [php7.1] Use of this is no longer allowed
  * Fixes #13007 - Handle .m4v as video/mp4
  * Fixes #13041 - Update mythweb jquery and prototype libraries
  * Fixes #12822 - Duplicate programs showing in listings.
* Sun Feb  5 2017 avvissu@yandex.by
- Update to version 0.28.1+git.20170117.7ed09ed8:
  * Fix output of stars as float values.
  * [mythweb] Remove/changed some deprecated PHP7 functions
* Sun Nov  6 2016 avvissu@yandex.by
- Update to version 0.28+git.20161010.3fa642f
* Sat May 21 2016 avvissu@yandex.by
- Update to 0.28
  * see: https://www.mythtv.org/wiki/Release_Notes_-_0.28
- Update mythweb.conf
* Sun Apr  3 2016 olaf@aepfle.de
- drop Requires: php-MythTV-0_26, pkg does not exist
* Sat Jul  5 2014 herbert@links2linux.de
- Update to version 0.27.3
* Fri Oct 18 2013 herbert@links2linux.de
- Update to version 0.27
* Sat Nov 10 2012 herbert@links2linux.de
- Fix source package name
* Sat Nov 10 2012 herbert@links2linux.de
- Don't use sourec service
* Sat Nov 10 2012 herbert@links2linux.de
- don't use ssl for sourec url
* Sat Nov 10 2012 herbert@links2linux.de
- Update to version 0.26
* Wed Apr 11 2012 herbert@links2linux.de
- update to version 0.25
- move mythweb into /srv/www/htdocs
* Sat Mar 26 2011 herbert@links2linux.de
- Build as noarch
* Fri Mar 25 2011 herbert@links2linux.de
- Initial package
